rooms/:name/sipCallTransfer
curl --request POST \
--url https://api.daily.co/v1/rooms/{room_name}/sipCallTransfer \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sessionId": "<string>",
"toEndPoint": "<string>",
"callerId": "<string>",
"waitBeforeExtensionDialSec": 0,
"extension": "1234"
}
'import requests
url = "https://api.daily.co/v1/rooms/{room_name}/sipCallTransfer"
payload = {
"sessionId": "<string>",
"toEndPoint": "<string>",
"callerId": "<string>",
"waitBeforeExtensionDialSec": 0,
"extension": "1234"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sessionId: '<string>',
toEndPoint: '<string>',
callerId: '<string>',
waitBeforeExtensionDialSec: 0,
extension: '1234'
})
};
fetch('https://api.daily.co/v1/rooms/{room_name}/sipCallTransfer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": "true"
}SIP / Call Transfer
Room SIP Call Transfer
transfer sip/pstn call
POST
/
rooms
/
{room_name}
/
sipCallTransfer
rooms/:name/sipCallTransfer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
the SIP/phoneNumber endpoint to transfer the call to.
determine the phone number used for outbound call (i.e. phone number displayed on the called phone). purchased phone
number of seconds to wait before dialing the extension, once dialed number is connected.
Required range:
0 <= x <= 60the extension to dial after dialed number is connected. e.g. 1234
Required string length:
1 - 20Example:
"1234"
Response
200 - application/json
200
⌘I